.chat-message {
	.vs-ac {
		&.targets,
		&.targets .target {
			display: flex;
			gap: 3px;
			align-items: center;
			font-size: var(--font-size-11, 8pt);
		}

		&.targets {
			flex-direction: column;

			.target {
				flex-direction: row;
				width: 100%;
				cursor: pointer;

				> i {
					pointer-events: none;
				}

				.ac-reference {
					&:before {
						content: "[";
					}
					&:after {
						content: "]";
					}
				}

				&:not(.current) {
					opacity: 0.7;
				}
			}

			.icon {
				flex: 0;
				background: transparent;
				color: black;
			}

			.vs {
				flex: 1;
			}

			.cmd,
			.ac {
				flex: 0;
				white-space: nowrap;
			}

			.ac-reference {
				font-weight: bold;
			}
		}
	}

	diff {
		&.vs-ac {
			font-weight: normal;
			text-shadow: none;
			padding: 1px 3px;
			margin: 0;
			border: 1px solid black;
			border-radius: 5px;
			margin-left: 3px;

			&.success {
				background-color: #009aff42;
				border-color: #08b9ffc9;
			}

			&.failure {
				background-color: #ff00004a;
				border-color: #ff0000b3;
			}

			&.unknown {
				background-color: #7e5670;
				border-color: #c384b2;
			}
		}
	}
}
